]> git.draconx.ca Git - gob-dx.git/blobdiff - bootstrap
Pull in dxcommon for library tests.
[gob-dx.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..f9cbd41
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+argv0=$0
+
+err () { printf '%s: %s\n' "$argv0" "$@" 1>&2; }
+die () { err "$@"; exit 1; }
+
+: "${AUTORECONF=autoreconf}"
+: "${GIT=git}"
+
+$GIT submodule update --init || err "Failed to update submodules from git."
+
+# Punt some automake-generated files so that Gentoo's wrapper script
+# doesn'# try to detect the automake version in use.
+rm -f Makefile.in aclocal.m4
+$AUTORECONF -fis